%global _empty_manifest_terminate_build 0
Name:		python-clickclick
Version:	20.10.2
Release:	1
Summary:	Click utility functions
License:	Apache License 2.0
URL:		https://codeberg.org/hjacobs/python-clickclick
Source0:	https://files.pythonhosted.org/packages/c6/19/f91d85941b79964d569a3729bf9f8b7f85ab47240248e77b7c0c8ed6ecc3/clickclick-20.10.2.tar.gz
BuildArch:	noarch

BuildRequires:	python3-devel python3-flake8 python3-six python3-setuptools
BuildRequires:	python3-click python3-PyYAML python3-pip

%description
Utility functions (Python 3 only) for the wonderful Click library. 
Click is a Python package for creating beautiful command line interfaces 
in a composable way with as little code as necessary.

%package -n python3-clickclick
Summary:	Click utility functions
Provides:	python-clickclick
%description -n python3-clickclick


%package help
Summary:	Development documents and examples for clickclick
Provides:	python3-clickclick-doc
%description help
Development documents and examples for clickclick

%prep
%autosetup -n clickclick-20.10.2

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-clickclick -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Aug 31 2021 Python_Bot <Python_Bot@openeuler.org> - 20.10.2-1
- Package Spec generated
